function setupFormSubmitListener(addedNodes) {
    addedNodes.forEach(node => {
        if (node.tagName === "form") {
            node.addEventListener("submit", async event => {
                event.preventDefault();
                const response = fetch(node.action, {
                    method: "POST",
                    body: new FormData(node),
                });
                const html = await response.text();
                const parser = new DOMParser();
                const doc = parser.parseFromString(html, "text/html");
                form.outerHTML = doc;
            }));
        }
    });
}
function watchForms() {
    const forms = document.querySelectorAll("form");
    setupFormSubmitListener(forms);
    const observer = new MutationObserver(mutationsList => {
        mutationsList.forEach(mutation => {
            setupFormSubmitListener(mutation.addedNodes);
        });
    });
    observer.observe(document.body, { childList: true, subtree: true; });
}
